body {
    margin: 0;
    padding: 0;
    overflow: hidden;
    font-family: Arial, sans-serif;
}

#renderCanvas {
    width: 100%;
    height: 100vh;
    touch-action: none;
}

#error-message {
    display: none;
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 0, 0, 0.6);
    backdrop-filter: blur(5px);
    color: white;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    max-width: 80%;
    box-shadow: 0 4px 16px rgba(30, 30, 30, 1.00);
    outline: 1px solid rgba(255,0,0,1)
}

#error-message img {
    filter: invert(1.0);
}

#controls-info {
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 15px;
    border-radius: 5px;
    font-size: 14px;
    transition: all 0.2s ease;
}

.scene-button {
    position: absolute;
    /*top: 10px;
    left: 10px;*/
    width: 40px;
    height: 40px;
    border-radius: 8px;
    background: rgba(30, 30, 30, 0.60);
    backdrop-filter: blur(5px);
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10;
    cursor: pointer;
    box-shadow: 0 4px 16px rgba(30, 30, 30, 1.00);
    outline: 1px solid rgba(255, 238, 0, 0.7);
    opacity: 0.5;
    transition: all 0.2s ease;
}

.scene-button img {
    filter: invert(0.8);
    transition: all 0.2s ease;
}

.scene-button:hover {
    background-color: rgba(100,100,100,0.6);
    opacity: 1.0;
}

.scene-button.hover img {
    filter: invert(0.9);
}

.scene-button:active {
    background-color: rgba(30,30,30,0.6)
}

.scene-button.selected {
    background-color: rgba(150,150,150,0.6);
    opacity: 1.0;
}

.scene-button.selected img {
    filter: invert(0.2);
}

.scene-button-popup {
    display: none;
    position: absolute;
    /*top: 60px;
    left: 10px;*/
    min-width: 220px;
    max-width: 320px;
    background: rgba(30, 30, 30, 0.60);
    backdrop-filter: blur(5px);
    color: #fff;
    padding: 18px 20px 16px 20px;
    border-radius: 10px;
    box-shadow: 0 4px 16px rgba(30, 30, 30, 1.00);
    font-size: 15px;
    z-index: 20;
    line-height: 1.7;
    border: 1px solid rgba(255, 238, 0, 0.7);
    /*border-image: linear-gradient(0deg, yellow, rgba(0,0,0,0)) 20 stretch;*/
    transition: all 0.5s ease;
}

#controls-toggle {
    top: 10px;
    left: 10px;
}

#controls-popup {
    top: 60px;
    left: 10px;
}

#settings-toggle {
    top: 10px;
    right: 10px;
}

#settings-popup {
    top: 60px;
    right: 10px;
}